﻿
body {
	margin: 2px 10px 2px 10px;
}


.transparency1 {
	position: absolute;
	left: 0px;
	right: 0px;
	width: 100%;
	height: 60px;
	z-index: 2000;	
	opacity: 0;
}

div#allnav {
	position: relative;
	z-index: 2010;
}


.iframeWrapper{
  /* display:inline-block; */
  position:relative;
}

.iframeWrapper iframe{
  vertical-align:top;
  pointer-events: none; /* let any clicks go trough me */  
}



div#pnav1, div#pnav2, div#pnav3, .noselEl {
	margin-top: 0px;
	padding: 0px 0px 10px 0px;	
	
	-webkit-touch-callout: none; /* iOS Safari */
	-webkit-user-select: none;   /* Chrome/Safari/Opera */
	-khtml-user-select: none;    /* Konqueror */
	-moz-user-select: none;      /* Firefox */
	-ms-user-select: none;       /* Internet Explorer/Edge */
	user-select: none;           /* Non-prefixed version, currently not supported by any browser */
}

div#dspload {
	display: block;
}

#txtURL {
	width: 99%;
	background-color: #ebebeb;	
	font: bold 10pt Tahoma,arial,helvetica;
}

#txtSpFr {
	width: 99%;
	font: bold 10pt Tahoma,arial,helvetica;
	color: red;
	background-color: #ffcccc;	
}

#txtURLAll {
	width: 99%;
	font: normal 10pt Tahoma,arial,helvetica;
	color: blue;
	background-color: #ebebeb;	
}



input#bSpLoad {
	display: none;	
}

span#labelHelp1 {
	font: bold 10pt Tahoma,arial,helvetica;
	color: blue; 
	margin: 0px;
	padding: 0px;
	display: none;
}

span a:link {
    color: blue;
}
span a:visited {
    color: blue;
}

div#hintProgr {
	display: none;
	position: absolute;
	font: bold 10pt Tahoma,arial,helvetica;
	color: black;
	/* background-color: transparent; */
	background-color: #ffef99;
	margin: 0px;
	padding: 3px;
	z-index:3000;
}

div.progr {
	height: 5px;
	position: relative;
	border: 0;
	margin: 0;	
	z-index: 1;
	cursor: default;
	padding: 0px 0px 10px 0px;
	
	-webkit-touch-callout: none; /* iOS Safari */
	-webkit-user-select: none;   /* Chrome/Safari/Opera */
	-khtml-user-select: none;    /* Konqueror */
	-moz-user-select: none;      /* Firefox */
	-ms-user-select: none;       /* Internet Explorer/Edge */
	user-select: none;           /* Non-prefixed version, currently not supported by any browser */
}

span.clSpFr {
	display: block;
	position: absolute;
	top: 0px;	
	height: 3px;
	color: blue;
	vertical-align: middle;
    font: normal 9pt Tahoma,arial,helvetica;
	z-index: 0;	
	cursor: default;
}

span#spPR1 {
	display: block;
	position: absolute;
	top: -4px;	
	height: 3px;
	color: red;
	vertical-align: middle;
    font: 900 12pt Tahoma,arial,helvetica;
	z-index: 3;
	cursor:	crosshair;
}

span#spPR2 {
	display: block;
	position: absolute;
	top: -4px;	
	height: 3px;
	color: red;
	vertical-align: middle;
    font: 900 12pt Tahoma,arial,helvetica;
	z-index: 4;
	cursor:	crosshair;
}


progress#progress1  {
    /* скрываем индикатор */
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
	/* position: fixed; */
	position: absolute; 
	top: 0px;		
	z-index: 2;
	cursor: pointer;	
    background-size: auto;	
    left: 0;	
	margin: 0px 0px 0px 0px;  	
    width: 100%;	
    height: 7px;
	border: 0;
    border: none;
	background-color: #B5B5B5;
	color: blue;
}

progress#progress1::-webkit-progress-bar {	
	background-color: #B5B5B5;
}

progress#progress1::-webkit-progress-value {	
	background-color: blue;
}

progress#progress1::-moz-progress-bar {
	background-color: blue;
}






progress#progress2  {
    /* скрываем индикатор */
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
	/* position: fixed; */
	position: absolute; 
	top: 0px;		
	z-index: 2;
	cursor: pointer;	
    background-size: auto;	
    left: 0;	
	margin: 0px 0px 0px 0px;	 
    width: 100%;	
    height: 7px;
	border: 0;
    border: none;
	background-color: #ffcccc;
	color: red;
}

progress#progress2::-webkit-progress-bar {	
	background-color: #ffcccc;
}

progress#progress2::-webkit-progress-value {	
	background-color: red;
}

progress#progress2::-moz-progress-bar {
	background-color: red;
}

/* Установить нулевую ширину неопределенных полос */
:indeterminate::-moz-progress-bar {
  width: 0;
}




div#PanPlayer {
	margin: 0px 0px 0px 0px;
}

input, textarea, select {
    vertical-align: middle;
    font-size: 10pt;
    font-family: Tahoma,arial,helvetica;	
}

input.Finp {
	width: 200px;	
	border: 0;
	font-weight: bold;
	font-size: 12pt;
    font-family: Tahoma,arial,helvetica;
	position: relative;
	top: 0px;
	border: 0px;
	padding: 0px;
	vertical-align: baseline;
	/* text-align: center; */
}


input[type=text], input[type=password], textarea {
    *padding-left: 0 !important;
    *padding-right: 0 !important;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
}

input[type=button].buttonblue {
	vertical-align: middle;
    font-size: 10pt;
    font-family: Tahoma,arial,helvetica;
    color: black;
    background: #639DF9; 
    border: 1px #196FF7 solid; 
    box-shadow: inset 0 1px 0 #80B0FB;
	padding-bottom: 3px;
	padding-top: 2px;
	padding-right: 8px;
	padding-left: 8px;
	border-radius: 4px;	
	margin: 5px 0px 5px 0px;
}

input[type=button].buttonblue:hover {
    border: 1px #2F5BB7 solid;
	border-radius: 4px;
	color: white;
    box-shadow: 0 1px 1px #EAEAEA, inset 0 1px 0 #5A94F1;
    background: #3F83F1;
}

/*
input[type=button].buttonblue:active {
    box-shadow: inset 0 2px 5px #2370FE;		
}
*/




input[type=button].buttonlblue {
	vertical-align: middle;
    font-size: 10pt;
    font-family: Tahoma,arial,helvetica;
    color: black;
    background: #9BC0FA; 
    border: 1px #196FF7 solid; 
    box-shadow: inset 0 1px 0 #85aeef;
	padding-bottom: 3px;
	padding-top: 2px;
	padding-right: 8px;
	padding-left: 8px;
	border-radius: 4px;	
	margin: 5px 0px 5px 0px;
}

input[type=button].buttonlblue:hover {
    border: 1px #2F5BB7 solid;
	border-radius: 4px;
	color: white;
    box-shadow: 0 1px 1px #EAEAEA, inset 0 1px 0 #5A94F1;
    background: #70A5FB;
}


input[type=button].buttonrosy {
	vertical-align: middle;
    font-size: 10pt;
    font-family: Tahoma,arial,helvetica;
    color: black;
    background: #cbaeae; 
    border: 1px #b48686 solid; 
    box-shadow: inset 0 1px 0 #c1a7a7;
	padding-bottom: 3px;
	padding-top: 2px;
	padding-right: 8px;
	padding-left: 8px;
	border-radius: 4px;	
	margin: 5px 0px 5px 0px;
}

input[type=button].buttonrosy:hover {
    border: 1px #ab8181 solid;
	border-radius: 4px;
	color: white;
    box-shadow: 0 1px 1px #EAEAEA, inset 0 1px 0 #c39292;
    background: #c79494;
}



div#pspeed , div#pnav  {
	margin-top: 5px;
	margin-bottom: 5px;
}


span#labelTime {
	font-weight: bold;
	font-size: 12pt;
    font-family: Tahoma,arial,helvetica;
	/* margin-top: 4px; */
	
	-webkit-touch-callout: text; /* iOS Safari */
	-webkit-user-select: text;   /* Chrome/Safari/Opera */
	-khtml-user-select: text;    /* Konqueror */
	-moz-user-select: text;      /* Firefox */
	-ms-user-select: text;       /* Internet Explorer/Edge */
	user-select: text;           /* Non-prefixed version, currently not supported by any browser */
}


span#labelS {
	font-weight: bold;
	font-size: 10pt;
    font-family: Tahoma,arial,helvetica;		
}


div#pError {
	display: none;
}

#buttonPause {
	font-weight: bold;
	color: black;
}


/* убивать для укоз */
.powered_by {
	color: white;	
	display: none;
}



/* =======================   меню боковое =============================== */

.imgAR {
	float: right;
	opacity: 1;	
}

.imgAL {
	float: left;
	opacity: 1;
}



#id_pauseb128 {
	display: none;
}

.nav, .nav2 {
    /*  ширина произвольная, не стесняйтесь экспериментировать */
    width: 40px;
    min-width: 40px;
    /* фиксируем и выставляем высоту панели на максимум */
   /* height: 600px; */
   height: 20px;
    /* position: fixed; */
	position: absolute;
	
    top: 20px;
    bottom: 0;
    margin: 0;
    /* внутренние отступы */
    padding: 10px 10px;
    
    /* определяем цвет фона панели */
    background: #FFFFFF50; /* transparent;*/
    /* поверх других элементов */
    z-index: 2000;
	opacity: 1;
	
	
	
}

.nav {    
    /* сдвигаем (прячем) панель относительно левого края страницы */
    left: -100px;
	/* плавный переход смещения панели */
    -webkit-transition: left 0.3s;
    -moz-transition: left 0.3s;
    transition: left 0.3s;
}

.nav2 {    
    /* сдвигаем (прячем) панель относительно правого края страницы */
    right: -100px;
	/* плавный переход смещения панели */
    -webkit-transition: right 0.3s;
    -moz-transition: right 0.3s;
    transition: right 0.3s;
}




/**
 * Кнопка переключения панели
 * тег <label>
 */

.nav-toggle, .nav-toggle2 {
    /* абсолютно позиционируем */
    position: absolute;
    /* отступ от верхнего края панели */
    /* top: 1em; */
	top: 0px;
    /* внутренние отступы */
    padding: 0.5em;
    /* определяем цвет фона переключателя
     * чаще вчего в соответствии с цветом фона панели
    */
    /* background: inherit;*/
	/* background: #16a08550; */ 
    /* цвет текста */
    color: #dadada;
    /* вид курсора */
    cursor: pointer;
    /* размер шрифта */
    font-size: 1.2em;
    line-height: 1;
    /* всегда поверх других элементов страницы */
    z-index: 2001;
    /* анимируем цвет текста при наведении */
    -webkit-transition: color .25s ease-in-out;
    -moz-transition: color .25s ease-in-out;
    transition: color .25s ease-in-out;
	overflow: hidden; /* полос прокруток не должно быть */
}



.nav-toggle {
    /* относительно левого края панели */
    left: 140px;    
}

.nav-toggle2 {
    /* относительно правого края панели */
    right: 140px;    
}


/* определяем текст кнопки 
 * символ Unicode (TRIGRAM FOR HEAVEN)
*/

.nav-toggle:after, .nav-toggle2:after {
    content: '\2630';
    text-decoration: none;	
}


/* цвет текста при наведении */

.nav-toggle:hover, .nav-toggle2:hover {
    color: #f4f4f4;	
}


/**
 * Скрытый чекбокс (флажок)
 * невидим и недоступен :)
 * имя селектора атрибут флажка
 */

[id='nav-toggle'] {
    position: absolute;
    display: none;
}

[id='nav-toggle2'] {
    position: absolute;
    display: none;
}


/**
 * изменение положения переключателя 
 * при просмотре на мобильных устройствах
 * когда навигация раскрыта, располагаем внутри панели
*/

[id='nav-toggle']:checked ~ .nav > .nav-toggle {
    /* left: auto; */
	left: 35px;
    right: 0px;
	top: -10px;
    /* top: 1em; */
}

[id='nav-toggle2']:checked ~ .nav2 > .nav-toggle2 {
    left: auto;
    right: 35px;
	top: -10px;
    /* top: 1em; */
}


/**
 * Когда флажок установлен, открывается панель
 * используем псевдокласс:checked
 */

[id='nav-toggle']:checked ~ .nav {
    left: 0px;
	top: 20px;
    box-shadow:4px 0px 20px 0px rgba(0,0,0, 0.5);
    -moz-box-shadow:4px 0px 20px 0px rgba(0,0,0, 0.5);
    -webkit-box-shadow:4px 0px 20px 0px rgba(0,0,0, 0.5);
    /* overflow-y: auto; */
}

[id='nav-toggle2']:checked ~ .nav2 {
    right: 0px;
	top: 20px;
    box-shadow:-4px 0px 20px 0px rgba(0,0,0, 0.5);
    -moz-box-shadow:-4px 0px 20px 0px rgba(0,0,0, 0.5);
    -webkit-box-shadow:-4px 0px 20px 0px rgba(0,0,0, 0.5);
    /* overflow-y: auto; */
}


/* 
 * смещение контента страницы
 * на размер ширины панели,
 * фишка необязательная, на любителя
*/
/*
[id='nav-toggle']:checked ~ main > article {
    -webkit-transform: translateX(40px);
    -moz-transform: translateX(40px);
    transform: translateX(40px);
}

[id='nav-toggle2']:checked ~ main > article {
    -webkit-transform: translateX(-40px);
    -moz-transform: translateX(-40px);
    transform: translateX(-40px);
}
*/



/*
 * изменение символа переключателя,
 * привычный крестик (MULTIPLICATION X), 
 * вы можете испльзовать любой другой значок
*/

[id='nav-toggle']:checked ~ .nav > .nav-toggle:after {
    content: '\2715';
}

[id='nav-toggle2']:checked ~ .nav2 > .nav-toggle2:after {
    content: '\2715';
}


/**
 * профиксим баг в Android <= 4.1.2
 * см: http://timpietrusky.com/advanced-checkbox-hack
 */

body {
    -webkit-animation: bugfix infinite 1s;
}

@-webkit-keyframes bugfix {
    to {
      padding: 0;
    }
}


/**
 * позаботьтимся о средних и маленьких экранах
 * мобильных устройств
 */

@media screen and (min-width: 320px) {
    html,
    body {
      margin: 0;
      overflow-x: hidden;
    }
}

@media screen and (max-width: 320px) {
    html,
    body {
      margin: 0;
      overflow-x: hidden;
    }
    .nav, .nav2 {
      width: 100%;
      box-shadow: none
    }
}




/**
 * формируем непосредственно само меню
 * используем неупорядоченный список для пунктов меню
 * прикрутим трансфомации и плавные переходы
 */

.nav > ul {
    display: block;
	text-align: right;
	float: right; 
    margin: 0;
    padding: 0;
    list-style: none;
	overflow: hidden; /* полос прокруток не должно быть */
	
	-webkit-touch-callout: none; /* iOS Safari */
	-webkit-user-select: none;   /* Chrome/Safari/Opera */
	-khtml-user-select: none;    /* Konqueror */
	-moz-user-select: none;      /* Firefox */
	-ms-user-select: none;       /* Internet Explorer/Edge */
	user-select: none;           /* Non-prefixed version, currently not supported by any browser */
}

.nav2 > ul {
    display: block;
	text-align: left;
	float: left; 
    margin: 0;
    padding: 0;
    list-style: none;
	overflow: hidden; /* полос прокруток не должно быть */
	
	-webkit-touch-callout: none; /* iOS Safari */
	-webkit-user-select: none;   /* Chrome/Safari/Opera */
	-khtml-user-select: none;    /* Konqueror */
	-moz-user-select: none;      /* Firefox */
	-ms-user-select: none;       /* Internet Explorer/Edge */
	user-select: none;           /* Non-prefixed version, currently not supported by any browser */
}

.nav > ul > li {
    /* line-height: 32px; */
    /*       opacity: 0; */
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
    -webkit-transition: opacity .5s .1s, -webkit-transform .5s .1s;
    -moz-transition: opacity .5s .1s, -moz-transform .5s .1s;
    -ms-transition: opacity .5s .1s, -ms-transform .5s .1s;
    transition: opacity .5s .1s, transform .5s .1s;
}

.nav2 > ul > li {
    /* line-height: 32px; */
    /*       opacity: 0; */
    -webkit-transform: translateX(50%);
    -moz-transform: translateX(50%);
    -ms-transform: translateX(50%);
    transform: translateX(50%);
    -webkit-transition: opacity .5s .1s, -webkit-transform .5s .1s;
    -moz-transition: opacity .5s .1s, -moz-transform .5s .1s;
    -ms-transition: opacity .5s .1s, -ms-transform .5s .1s;
    transition: opacity .5s .1s, transform .5s .1s;
}

.cl_liNav, .cl_liNav2 {
	line-height: 32px;	
}




[id='nav-toggle']:checked ~ .nav > ul > li {
    /*       opacity: 1; */
    -webkit-transform: translateX(0);
    -moz-transform: translateX(0);
    -ms-transform: translateX(0);
    transform: translateX(0);
}

[id='nav-toggle2']:checked ~ .nav2 > ul > li {
    /*       opacity: ; */
    -webkit-transform: translateX(0);
    -moz-transform: translateX(0);
    -ms-transform: translateX(0);
    transform: translateX(0);
}


/* определяем интервалы появления пунктов меню */

.nav > ul > li:nth-child(2) {
    -webkit-transition: opacity .3s .2s, -webkit-transform .3s .2s;
    transition: opacity .3s .2s, transform .3s .2s;
}

.nav > ul > li:nth-child(3) {
    -webkit-transition: opacity .3s .25s, -webkit-transform .3s .25s;
    transition: opacity .3s .25s, transform .3s .25s;
}

.nav > ul > li:nth-child(4) {
    -webkit-transition: opacity .3s .3s, -webkit-transform .3s .3s;
    transition: opacity .3s .3s, transform .3s .3s;
}

.nav > ul > li:nth-child(5) {
    -webkit-transition: opacity .3s .35s, -webkit-transform .3s .35s;
    transition: opacity .3s .35s, transform .3s .35s;
}

.nav > ul > li:nth-child(6) {
    -webkit-transition: opacity .3s .4s, -webkit-transform .3s .4s;
    transition: opacity .3s .4s, transform .3s .4s;
}

.nav > ul > li:nth-child(7) {
    -webkit-transition: opacity .3s .45s, -webkit-transform .3s .45s;
    transition: opacity .3s .45s, transform .3s .45s;
}


/* определяем интервалы появления пунктов меню */

.nav2 > ul > li:nth-child(2) {
    -webkit-transition: opacity .3s .2s, -webkit-transform .3s .2s;
    transition: opacity .3s .2s, transform .3s .2s;
}

.nav 2> ul > li:nth-child(3) {
    -webkit-transition: opacity .3s .25s, -webkit-transform .3s .25s;
    transition: opacity .3s .25s, transform .3s .25s;
}

.nav 2> ul > li:nth-child(4) {
    -webkit-transition: opacity .3s .3s, -webkit-transform .3s .3s;
    transition: opacity .3s .3s, transform .3s .3s;
}

.nav 2> ul > li:nth-child(5) {
    -webkit-transition: opacity .3s .35s, -webkit-transform .3s .35s;
    transition: opacity .3s .35s, transform .3s .35s;
}

.nav2 > ul > li:nth-child(6) {
    -webkit-transition: opacity .3s .4s, -webkit-transform .3s .4s;
    transition: opacity .3s .4s, transform .3s .4s;
}

.nav2 > ul > li:nth-child(7) {
    -webkit-transition: opacity .3s .45s, -webkit-transform .3s .45s;
    transition: opacity .3s .45s, transform .3s .45s;
}


/**
 * оформление ссылок пунктов меню
 */

.nav > ul > li > a {
    display: inline-block;
    position: relative;    
	float: right;
    padding: 10px 0px 10px 0px;
    font-family: 'Open Sans', sans-serif;
    font-weight: 300;
    font-size: 1.2em;
    color: #dadada;
    width: 100%;
    text-decoration: none;
    /* плавный переход */
    -webkit-transition: color .5s ease, padding .5s ease;
    -moz-transition: color .5s ease, padding .5s ease;
    transition: color .5s ease, padding .5s ease;
}

.nav2 > ul > li > a {
    display: inline-block;
    position: relative;
    float: left;
    padding: 10px 0px 10px 0px;
    font-family: 'Open Sans', sans-serif;
    font-weight: 300;
    font-size: 1.2em;
    color: #dadada;
    width: 100%;
    text-decoration: none;
    /* плавный переход */
    -webkit-transition: color .5s ease, padding .5s ease;
    -moz-transition: color .5s ease, padding .5s ease;
    transition: color .5s ease, padding .5s ease;
}


/**
 * состояние ссылок меню при наведении
 */

.nav > ul > li > a:hover,
.nav > ul > li > a:focus {
    color: white;
    padding-left: 0px;
	font-weight: 600;
}

.nav2 > ul > li > a:hover,
.nav2 > ul > li > a:focus {
    color: white;
    padding-right: 0px;
	font-weight: 600;
}



/**
 * линия подчеркивания ссылок меню
 */

.nav > ul > li > a:before {
    content: '';
    display: block;
    position: absolute;
    right: 0;
    bottom: 0;
    height: 1px;
    width: 100%;
    -webkit-transition: width 0s ease;
    transition: width 0s ease;
}

.nav2 > ul > li > a:before {
    content: '';
    display: block;
    position: absolute;
    right: 0;
    bottom: 0;
    height: 1px;
    width: 100%;
    -webkit-transition: width 0s ease;
    transition: width 0s ease;
}


.nav > ul > li > a:after {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    bottom: 0;
    height: 1px;
    width: 100%;
    background: #dadada;
    -webkit-transition: width .5s ease;
    transition: width .5s ease;
}

.nav2 > ul > li > a:after {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    bottom: 0;
    height: 1px;
    width: 100%;
    background: #dadada;
    -webkit-transition: width .5s ease;
    transition: width .5s ease;
}



/**
 * анимируем линию подчеркивания 
 * ссылок при наведении
 */
/*
.nav > ul > li > a:hover:before {
    width: 0%;
    background: #dadada;
    -webkit-transition: width .5s ease;
    transition: width .5s ease;
}

.nav > ul > li > a:hover:after {
    width: 0%;
    background: transparent;
    -webkit-transition: width 0s ease;
    transition: width 0s ease;
}
*/


/* фон затемнения на основной контент 
 * при этом элементы блокируютя
 * спорная такая фича, если оно вам надо
 * просто раскомментируйте
*/

/*
.mask-content {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    visibility: hidden;
    opacity: 0;
}

[id='nav-toggle']:checked ~ .mask-content {
    visibility: visible;
    opacity: 1;
    -webkit-transition: opacity .5s, visibility .5s;
    transition: opacity .5s, visibility .5s;
}
*/


/* стили для всех */

/*
@media all {
	.nav, .nav2 {
		display: none;
	}	
}
*/


/* стили для пейзажа */
/*
@media all and (orientation:landscape) and not(:handheld) {
	.nav, .nav2 {
		display: block;
	}
}
*/

/* стили для пейзажа мобильного устройства */
@media handheld and (orientation:landscape) {
	.nav, .nav2 {
		display: block;
	}
}


